## org.eclipse.datatools.sqltools.sqlbuilder.util
Class StringUtility

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.util.StringUtility

    public class StringUtility

extends java.lang.Object

This class provides static methods for some common String operations

Constructor Summary
`StringUtility()`

Method Summary
`static java.lang.String` `change(java.lang.String in, java.lang.String oldPat, java.lang.String newPat)`
`static java.lang.String` `change(java.lang.String in, java.lang.String oldPat, java.lang.String newPat, int startPos, int numChanges)`
`static boolean` `containsDoubleBlanks(java.lang.String srcString)`
`static java.lang.String` `copy(java.lang.String srcString, int numberOfCopies)`
`static long` `getLong(java.lang.String str)`
`static int` `indexOfAnyBut(java.lang.String srcString, java.lang.String validString)`
`static boolean` `isAlphabetic(java.lang.String srcString)`
`static boolean` `isAlphanumeric(java.lang.String srcString)`
`static boolean` `isDigits(java.lang.String srcString)`
`static boolean` `isEmptyOrNull(java.lang.String string)`
`static int` `lastIndexOfAnyBut(java.lang.String srcString, java.lang.String validString)`
`static java.lang.String` `match(java.lang.String in, java.lang.String token)`
`static int` `numWords(java.lang.String in)`
`static int` `occurrenceOf(java.lang.String srcString, char searchChar)`
`static java.lang.String` `stripLeading(java.lang.String srcString, java.lang.String pString)`
`static java.lang.String` `stripNewLines(java.lang.String label)`
`static java.lang.String` `stripTrailing(java.lang.String srcString, java.lang.String pString)`
`static java.lang.String` `stripTrailingBlanks(java.lang.String src)` strip the trailing blanks in the src
`static java.lang.String` `toUnicode(java.lang.String value)`
`static java.lang.String` `word(java.lang.String in, int i)`
`static java.lang.String` `words(java.lang.String in, int i)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtility

    public StringUtility()

Method Detail

### change

    public static java.lang.String change(java.lang.String in,
                                          java.lang.String oldPat,
                                          java.lang.String newPat)

### change

    public static java.lang.String change(java.lang.String in,
                                          java.lang.String oldPat,
                                          java.lang.String newPat,
                                          int startPos,
                                          int numChanges)

### word

    public static java.lang.String word(java.lang.String in,
                                        int i)

### words

    public static java.lang.String words(java.lang.String in,
                                         int i)

### numWords

    public static int numWords(java.lang.String in)

### indexOfAnyBut

    public static int indexOfAnyBut(java.lang.String srcString,
                                    java.lang.String validString)

### lastIndexOfAnyBut

    public static int lastIndexOfAnyBut(java.lang.String srcString,
                                        java.lang.String validString)

### occurrenceOf

    public static int occurrenceOf(java.lang.String srcString,
                                   char searchChar)

### stripLeading

    public static java.lang.String stripLeading(java.lang.String srcString,
                                                java.lang.String pString)

### stripTrailing

    public static java.lang.String stripTrailing(java.lang.String srcString,
                                                 java.lang.String pString)

### stripTrailingBlanks

    public static java.lang.String stripTrailingBlanks(java.lang.String src)

  strip the trailing blanks in the src

### copy

    public static java.lang.String copy(java.lang.String srcString,
                                        int numberOfCopies)

### isAlphabetic

    public static boolean isAlphabetic(java.lang.String srcString)

### isAlphanumeric

    public static boolean isAlphanumeric(java.lang.String srcString)

### isDigits

    public static boolean isDigits(java.lang.String srcString)

### isEmptyOrNull

    public static boolean isEmptyOrNull(java.lang.String string)

### match

    public static java.lang.String match(java.lang.String in,
                                         java.lang.String token)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLong

    public static long getLong(java.lang.String str)

### containsDoubleBlanks

    public static boolean containsDoubleBlanks(java.lang.String srcString)

### stripNewLines

    public static java.lang.String stripNewLines(java.lang.String label)

### toUnicode

    public static java.lang.String toUnicode(java.lang.String value)